vmbuilder --version crashes

Bug #1012621 reported by Marco Markgraf on 2012-06-13
This bug report is a duplicate of:  Bug #1003230: --version causes type error. Edit Remove
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VMBuilder
Undecided
Unassigned

Bug Description

if I call
# vmbuilder --version

then vmbuilder crashes with this message:

Traceback (most recent call last):
  File "/usr/bin/vmbuilder", line 24, in <module>
    cli.main()
  File "/usr/lib/python2.7/dist-packages/VMBuilder/contrib/cli.py", line 139, in main
    (dummy, args) = optparser.parse_args(sys.argv[1:])
  File "/usr/lib/python2.7/optparse.py", line 1399, in parse_args
    stop = self._process_args(largs, rargs, values)
  File "/usr/lib/python2.7/optparse.py", line 1439, in _process_args
    self._process_long_opt(rargs, values)
  File "/usr/lib/python2.7/optparse.py", line 1514, in _process_long_opt
    option.process(opt, value, values, self)
  File "/usr/lib/python2.7/optparse.py", line 788, in process
    self.action, self.dest, opt, value, values, parser)
  File "/usr/lib/python2.7/optparse.py", line 808, in take_action
    self.callback(self, opt, value, parser, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/VMBuilder/contrib/cli.py", line 281, in versioninfo
    VMBuilder.get_version_info())
TypeError: %d format: a number is required, not str

Marco Markgraf (marco-markgraf) wrote :

forgot to mention this is version vm-builder-0.12.4+bzr477

Marco Markgraf (marco-markgraf) wrote :

and forgot to mention distro: Ubuntu 12.04

Putting it all together :
python-vm-builder 0.12.4+bzr477-0ubuntu1

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers